Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld
Class ExternalVariables.XmlData

    java.lang.Object
      com.bea.ld.ExternalVariables.XmlData

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ExternalVariables

    public static class ExternalVariables.XmlData

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form
Exclude:

Nested Class Summary
`static class` | `ExternalVariables.XmlData.SIMPLE_TYPE_ID`

Field Summary
`static short` | `BINARY_TOKENS`
`static short` | `ELEMENT_TYPED`
`static short` | `ELEMENT_UNTYPED`
`static short` | `JAVA_SIMPLE`
`static long` | `serialVersionUID`
`static short` | `XML_STREAM_TYPED`
`static short` | `XML_STREAM_UNTYPED`

Method Summary
`byte[]` | `getBinary()`
`java.lang.Boolean` | `getBoolean()`
`java.lang.Byte` | `getByte()`
`java.util.Calendar` | `getCalender()`
`java.math.BigDecimal` | `getDecimal(java.math.BigDecimal value)`
`java.lang.Double` | `getDouble()`
`java.lang.Float` | `getFloat()`
`java.lang.Integer` | `getInt()`
`java.util.Date` | `getJavaDateTime()`
`java.lang.Long` | `getLong()`
`java.lang.Short` | `getShort()`
`ExternalVariables.XmlData.SIMPLE_TYPE_ID` | `getSimpleTypeID()`
`java.lang.String` | `getString()`
`java.net.URI` | `getURI()`
`void` | `setBinary(byte[] value)`
`void` | `setBoolean(java.lang.Boolean value)`
`void` | `setByte(java.lang.Byte value)`
`void` | `setCalender(java.util.Calendar value)`
`void` | `setDecimal(java.math.BigDecimal value)`
`void` | `setDouble(java.lang.Double value)`
`void` | `setFloat(java.lang.Float value)`
`void` | `setInt(java.lang.Integer value)`
`void` | `setJavaDateTime(java.util.Date value)`
`void` | `setLong(java.lang.Long value)`
`void` | `setShort(java.lang.Short value)`
`void` | `setString(java.lang.String value)`
`void` | `setURI(java.net.URI value)`
`short` | `toType()`
`java.lang.Object` | `toValue()`
`javax.xml.namespace.QName` | `toXsdType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### BINARY_TOKENS

    public static final short BINARY_TOKENS

See Also:
  Constant Field Values

### ELEMENT_TYPED

    public static final short ELEMENT_TYPED

See Also:
  Constant Field Values

### ELEMENT_UNTYPED

    public static final short ELEMENT_UNTYPED

See Also:
  Constant Field Values

### JAVA_SIMPLE

    public static final short JAVA_SIMPLE

See Also:
  Constant Field Values

### XML_STREAM_TYPED

    public static final short XML_STREAM_TYPED

See Also:
  Constant Field Values

### XML_STREAM_UNTYPED

    public static final short XML_STREAM_UNTYPED

See Also:
  Constant Field Values

Method Detail

### toType

    public short toType()

### toValue

    public java.lang.Object toValue()

### getSimpleTypeID

    public ExternalVariables.XmlData.SIMPLE_TYPE_ID getSimpleTypeID()

### getBinary

    public byte[] getBinary()

### getBoolean

    public java.lang.Boolean getBoolean()

### getByte

    public java.lang.Byte getByte()

### getJavaDateTime

    public java.util.Date getJavaDateTime()

### getCalender

    public java.util.Calendar getCalender()

### getDecimal

    public java.math.BigDecimal getDecimal(java.math.BigDecimal value)

### getDouble

    public java.lang.Double getDouble()

### getFloat

    public java.lang.Float getFloat()

### getInt

    public java.lang.Integer getInt()

### getLong

    public java.lang.Long getLong()

### getShort

    public java.lang.Short getShort()

### getString

    public java.lang.String getString()

### getURI

    public java.net.URI getURI()

### setBinary

    public void setBinary(byte[] value)

### setBoolean

    public void setBoolean(java.lang.Boolean value)

### setByte

    public void setByte(java.lang.Byte value)

### setJavaDateTime

    public void setJavaDateTime(java.util.Date value)

### setCalender

    public void setCalender(java.util.Calendar value)

### setDecimal

    public void setDecimal(java.math.BigDecimal value)

### setDouble

    public void setDouble(java.lang.Double value)

### setFloat

    public void setFloat(java.lang.Float value)

### setInt

    public void setInt(java.lang.Integer value)

### setLong

    public void setLong(java.lang.Long value)

### setShort

    public void setShort(java.lang.Short value)

### setString

    public void setString(java.lang.String value)

### setURI

    public void setURI(java.net.URI value)

### toXsdType

    public javax.xml.namespace.QName toXsdType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.